d3.csv(
  'https://gist.githubusercontent.com/hm0421/3dc3bf7f5e7ec33f36ec131f43e76bbf/raw/6bc9a1a331346a843735474b93ca408436bd03f3/ice',
  function (err, rows) {
    //gettting the data from the link
    // creating a function to read csv file and return the attribute values as array
    function unpack(rows, key) {
      return rows.map(function (row) {
        return row[key];
      });
    }

    //define the trace attributes for the plotly data
    var trace1 = {
      x: unpack(rows, 'Age'),
      y: unpack(rows, 'Deepsleeppercentage'),
      z: unpack(rows, 'Awakenings'),

      mode: 'markers',
      marker: {
        color: 'red', //defining the color of the points
        size: 5,
        symbol: 'circle',
        line: {
          color: 'black',
          width: 1,
        },
        opacity: 0.8,
      },
      type: 'scatter3d',
    };

    var data = [trace1];

    //define the layouts -margin, axes value adn stules for the plotly data
    var layout = {
      margin: {
        l: 20,
        r: 20,
        b: 20,
        t: 20,
      },
      scene: {
        xaxis: {
          title: 'Age',
          titlefont: {
            color: 'blue',
            family: 'Arial, Open Sans',
            size: 10,
          },
        },
        yaxis: {
          title: 'Deepsleeppercentage',
          titlefont: {
            color: 'blue',
            family: 'Arial, Open Sans',
            size: 10,
          },
        },
        zaxis: {
          title: 'Awakenings',
          titlefont: {
            color: 'blue',
            family: 'Arial, Open Sans',
            size: 10,
          },
        },
      },
    };

    // call the plotly newPlot method to plot the data
    Plotly.newPlot('myDiv', data, layout);
  }
);